enabled_plugins:
  backends:
    - sample
  services:
    - lookup
    - favorites
    - personal
    - reverse
  views:
    - default_json
    - headers_view
    - personal_view
    - cisco_view

views:
  displays:
    default_display:
      -
        title: Firstname
        default: Unknown
        field: firstname
      -
        title: Lastname
        default: Unknown
        field: lastname
      -
        title: Number
        default:
        field: number
      -
        field: favorite
        type: favorite
  displays_phone:
    default:
      name:
        - display_name
      number:
        -
          field:
            - phone

  profile_to_display:
    default: default_display
  profile_to_display_phone:
    default_phone: default

services:
  lookup:
    default:
      sources:
        - sample
      timeout: 0.5
  favorites:
    default:
      sources:
        - sample
      timeout: 0.5

rest_api:
  https:
    listen: 0.0.0.0
    port: 9489
    certificate: /usr/local/share/ssl/dird/server.crt
    private_key: /usr/local/share/ssl/dird/server.key

auth:
  host: auth
  port: 9497
  verify_certificate: /usr/local/share/ssl/auth/server.crt
